/* AdministratorAdaptor.h created by ahoesch on Wed 04-Apr-2001 */

#import <Foundation/Foundation.h>
#import "UserAdaptor.h"

@interface AdministratorAdaptor : UserAdaptor
{

}

- (BOOL)secureExistenceOfMetaTables;
- (BOOL)setOBModelPropertyList:(NSArray *)propertyList allowDestruction:(BOOL)flag;

/* **************************************
   group
   ************************************** */
- (void)addGroup:(NSString *)groupName;
- (void)removeGroup:(NSString *)groupName;

/* **************************************
   user
   ************************************** */
- (void)addUser:(NSString *)userName;
- (void)removeUser:(NSString *)userName;

/* **************************************
   member
   ************************************** */
- (void)addMember:(NSString *)username toGroup:(NSString *)groupName;
- (void)removeMember:(NSString *)username fromGroup:(NSString *)groupName;

@end
