/* DatabasesViewController.h created by ahoesch on Thu 04-May-2000 */

#import <AppKit/AppKit.h>
#import "DatabaseController.h"

@interface DatabasesViewController : NSObject
{
   NSMutableArray *_databaseControllers;
}

/* *** These methods have to be overwritten by subclasses *** */
- (void)updateDisplayObjects;
- (DatabaseController *)selectedDatabaseController;
- (NSArray *)selectedDatabaseControllers;
- (BOOL)isVisible;

- (void)monitorDatabase:(id)sender;
- (void)demonitorDatabase:(id)sender;
- (void)startDatabase:(id)sender;
- (void)stopDatabase:(id)sender;
- (void)newDatabase:(id)sender;
- (void)deleteDatabase:(id)sender;
- (void)connect:(id)sender;
- (void)administer:(id)sender;

@end


@interface DatabasesViewController (Delete)

- (void)delete:(id)sender;

@end
