/* Definitions.h created by ahoesch on Wed 04-Apr-2001 */
#import "PublicDefinitions.h"

#define FBLocalizedString(key) [[NSBundle bundleForClass:[self class]] localizedStringForKey:(key) value:@"" table:nil]

#define FBExecError @"FBExecError"
#define FBConnError @"FBConnError"
#define FBMMonitoredDatabasesChangedNotification @"FBMMonitoredDatabasesChangedNotification"
#define FBMDatabaseStatusChangedNotification @"FBMDatabaseStatusChangedNotification"

#define FBLogCode(key) [FBErrorManager errorCode:(key) project:@"FBAppKit"]
#define FBLogMessage(message) [FBErrorManager outputMessage:(message)]
#define FBMessage(key) [FBErrorManager messageForErrorCode:(key) project:@"FBAppKit"]

